Nie jesteś zalogowany.
Jeśli nie posiadasz konta, zarejestruj je już teraz! Pozwoli Ci ono w pełni korzystać z naszego serwisu. Spamerom dziękujemy!

Ogłoszenie

Prosimy o pomoc dla małej Julki — przekaż 1% podatku na Fundacji Dzieciom zdazyć z Pomocą.
Więcej informacji na dug.net.pl/pomagamy/.

#1  2019-07-07 09:44:17

  stoper4 - Użytkownik

stoper4
Użytkownik
Zarejestrowany: 2019-03-17

Aktualizacja z Debiana 9 do Debiana 10

Witam.

Jak zaktualizować Debiana 9 do Debiana 10?
Zrobiłem:

Kod:

apt-get update
apt-get upgrade
apt-get dist-uprade

i nic.

Muszę podmienić listę repozytorium i wtedy to wykonać?
Posiada ktoś taką listę?

Offline

 

#2  2019-07-07 10:04:01

  Jacekalex - Podobno człowiek...;)

Jacekalex
Podobno człowiek...;)
Skąd: /dev/urandom
Zarejestrowany: 2008-01-07

Re: Aktualizacja z Debiana 9 do Debiana 10

Poczekać trochę, za kilka dni powinno się wszystko samo zaktualizować.
Data premiery a repozytoria to zawsze jest jakaś różnica w dacie.

Dodatkowo sporo zależy, jakie repozytorium używasz.
deb.debian.org powinny jako pierwsze mieć aktualizację wydania.

EDIT:
W deb.debian.org już jest buster stable, właśnie mi się na serwerze cały system aktualizuje.

Ostatnio edytowany przez Jacekalex (2019-07-07 10:06:39)


W demokracji każdy naród ma taką władzę, na jaką zasługuje ;)
Si vis pacem  para bellum  ;)       |       Pozdrawiam :)

Online

 

#3  2019-07-07 10:08:22

  stoper4 - Użytkownik

stoper4
Użytkownik
Zarejestrowany: 2019-03-17

Re: Aktualizacja z Debiana 9 do Debiana 10

Ok, dziękuje za wyjaśnienie. Myślałem ,że w Debianie nic samo się nie dzieje i ręcznie trzeba zaktualizować . Użytkownicy ,którzy nic nie zrobią dalej zostaną na Debian 9 i będą mogli robić update i upgrade w ramach tej gałęzi 9.

Offline

 

#4  2019-07-07 13:20:49

  arecki - Użytkownik

arecki
Użytkownik
Skąd: 44 Bronson Lane Hensonville
Zarejestrowany: 2016-03-03

Re: Aktualizacja z Debiana 9 do Debiana 10

Jak masz w repozytoriach wpis stable to się zaktualizuje.

Kod:

apt-cache policy

Możesz się spotkać z pytaniem podobnym do poniższego

E: Repository 'http://deb.debian.org/debian stable InRelease' changed its 'Codename' value from 'stretch' to 'buster'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
Do you want to accept these changes and continue updating from this repository? [t/N]

Ostatnio edytowany przez arecki (2019-07-07 13:25:36)

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson
To nie jest tylko forum, to nasza mała ojczyzna ;-)